Installing GraphLab Create behind a proxy

User 9 | 12/22/2015, 5:47:54 PM

When you execute the pip command to install GraphLab Create, your machine will connect to https://pypi.python.org to download GraphLab Create and its dependent packages.

You may get an error indicating that pip can't find one (usually the first) of the dependent packages. This is likely not an issue with the dependent package or GraphLab Create and related to a network connectivity issue. This error is most common when the machine loses Internet connection or the network is limited due to a proxy during the installation.

Could not find a version that satisfies the requirement boto==2.33.0 (from GraphLab-Create==1.7.1) (from versions: ) No matching distribution found for boto==2.33.0 (from GraphLab-Create==1.7.1)

Here is a possible work around if the issue is related to a proxy. You can set your proxy by adding --proxy=username:password@http://yourproxy:port to the command line instructions found at https://dato.com/download/install-graphlab-create-command-line.html

Example:

pip install --proxy=username:password@http://yourproxy:80 --upgrade --no-cache-dir https://get.dato.com/GraphLab-Create/1.7.1/your registered email address here/your product key here/GraphLab-Create-License.tar.gz

No Comments